import { RdDItem } from "../item.js";
import { RdDItemMaladie } from "./maladie.js";

export class RdDItemPoison extends RdDItem {

  static get defaultIcon() {
    return "systems/foundryvtt-reve-de-dragon/icons/maladies_venins/venin.webp";
  }

  async calculerFinPeriodeTemporel(debut) {
    return debut.addPeriode(this.system.periode.nombre, this.system.periode.unite) ;
  }

  async onFinPeriode(oldTimestamp, newTimestamp) {
    RdDItemMaladie.notifierMaladiePoison(this, oldTimestamp, newTimestamp)
  }
}